/**
 * Eine Antwort des Serverprotokolls.
 * 
 * @author Q11 
 * @version 2015-06-30
 */
public class Antwort
{
    /*
     * Die einzelne Adressatin der Antwort. (Wenn null,
     * gibt es eine solche Adressatin nicht.)
     */
    private String adressatin = null;

    /*
     * Die Antworten an mich selbst, an die Adressatin
     * und an alle. (Wenn null, gibt es eine solche
     * Antwort nicht.)
     */
    private String anMich = null;
    private String anAdressatin = null;
    private String anAlle = null;
    
    /*
     * Der Befehl an den Server und das zugehrigen
     * Argument. (Wenn null, gibt es einen solchen
     * Befehl nicht.)
     */
    private String befehl = null;
    private String argument = null;
    private String zweitesArgument = null;
    private String drittesArgument = null;


    /**
     * Konstruktor.
     * Erzeuge eine zunchst wirkungslose Antwort.
     */
    public Antwort ()
    {
    }
    
    /**
     * Nenne die Adressatin der Antwort.
     */
    public String gibAdressatin ()
    {
        return adressatin;
    }
    
    /**
     * Lege die Adressatin der Antwort fest.
     */
    public void setzeAdressatin (String name)
    {
        adressatin = name;
    }
    
    /**
     * Nenne die Nachricht an mich.
     */
    public String gibNachrichtAnMich ()
    {
        return anMich;
    }
    
    /**
     * Lege die Nachricht an mich fest.
     */
    public void setzeNachrichtAnMich (String nachricht)
    {
        anMich = nachricht;
    }
    
    /**
     * Nenne die Nachricht an die Adressatin.
     */
    public String gibNachrichtAnAdressatin ()
    {
        return anAdressatin;
    }
    
    /**
     * Lege die Nachricht an die Adressatin fest.
     */
    public void setzeNachrichtAnAdressatin (String nachricht)
    {
        anAdressatin = nachricht;
    }
    
    /**
     * Nenne die Nachricht an alle.
     */
    public String gibNachrichtAnAlle ()
    {
        return anAlle;
    }
    
    /**
     * Lege die Nachricht an alle fest.
     */
    public void setzeNachrichtAnAlle (String nachricht)
    {
        anAlle = nachricht;
    }
    
    /**
     * Nenne den Serverbefehl der Antwort.
     */
    public String gibBefehl ()
    {
        return befehl;
    }
    
    /**
     * Lege den Serverbefehl der Antwort fest.
     */
    public void setzeBefehl (String wortlaut)
    {
        befehl = wortlaut;
    }
    
    /**
     * Nenne das Argument der Antwort.
     */
    public String gibArgument ()
    {
        return argument;
    }
    
    /**
     * Lege das Argument der Antwort fest.
     */
    public void setzeArgument (String wortlaut)
    {
        argument = wortlaut;
    }
    
    /**
     * Nenne ein zweites Argument der Antwort.
     */
    public String gibZweitesArgument ()
    {
        return zweitesArgument;
    }
    
    /**
     * Lege das zweite Argument der Antwort fest.
     */
    public void setzeZweitesArgument (String wortlaut)
    {
        zweitesArgument = wortlaut;
    }
    
    /**
     * Nenne ein drittes Argument der Antwort.
     */
    public String gibDrittesArgument ()
    {
        return drittesArgument;
    }
    
    /**
     * Lege das drittes Argument der Antwort fest.
     */
    public void setzeDrittesArgument (String wortlaut)
    {
        drittesArgument = wortlaut;
    }
}
